Bug 32309 - Integrate Samba4/Samba3 as system component into App Center
Integrate Samba4/Samba3 as system component into App Center
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Stefan Gohmann
Arvid Requate
: interim-3
Depends on: 32426 32503
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 15:16 CEST by Alexander Kläser
Modified: 2013-11-19 06:43 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2013-08-22 15:16:25 CEST
Via Bug 32301, UCS system components (nagios, dhcp server etc.) will be integrated in the App Center. For Samba4/Samba3, two additional points need to be considered:

(a) As Samba4 needs to be installed along with the S4 connector on a master, can the package dependencies modified in such a way that the S4 connector is automatically installed on a master and not on a slave? One possibility could be to defined a dependency to "s4-connector | slave | member".

(b) As apps will be easily installed and removed, either we need to support the complete removal of Samba4 from a UCS system or we need to block its deinstallation in the App Center.
Comment 1 Arvid Requate univentionstaff 2013-08-22 15:50:03 CEST
(a) univention-s4-connector can be installed on several machines. Without special UCR modifications (UCS@school) only the first installation becomes active.

(b) Samba4 removal would require support for a preceeding DC "demote" in a univention-samba4 unjoin script to cleanly remove it from the DRS replication topology. S4-Connector removal would additionally require a mechanism to activate the service on a different samba4 DC in the domain. I guess the admin would need to be asked to select a new S4 Connector provider.
Comment 2 Stefan Gohmann univentionstaff 2013-08-22 16:13:44 CEST
(In reply to Arvid Requate from comment #1)
> (a) univention-s4-connector can be installed on several machines. Without
> special UCR modifications (UCS@school) only the first installation becomes
> active.

Yes, but the connector needs cn=admin access at least in a normal setup.
Comment 3 Stefan Gohmann univentionstaff 2013-09-05 07:16:04 CEST
I've removed the dependencies of the univention-samba* packages from the packages_list.py. Thus the autoremove during the samba app center uninstallation should remove the dependencies.
Comment 4 Stefan Gohmann univentionstaff 2013-09-06 08:14:42 CEST
(In reply to Stefan Gohmann from comment #3)
> I've removed the dependencies of the univention-samba* packages from the
> packages_list.py. Thus the autoremove during the samba app center
> uninstallation should remove the dependencies.

That works so far.

I've added README_UNINSTALL files for samba4 and samba4-slave. The files contain a link to the online documentation. That link must be changed to the final docu link. Wait for Bug #32503.
Comment 5 Stefan Gohmann univentionstaff 2013-09-06 08:26:48 CEST
I've changed the s4 connector join script. Before the connector autostart variable was set with ?yes, now it is set with =yes. Of course, only if no other connector host is available.
Comment 6 Stefan Gohmann univentionstaff 2013-09-13 06:11:19 CEST
Ready for the QA.
Comment 7 Arvid Requate univentionstaff 2013-09-18 14:43:27 CEST
* What differentiates samba4-slave-4.1 from samba4-4.1, Can't we install univention-s4-connector on a slave?

* For my taste the deinstallation-warning is too soft. At least it passes my "yeah, whatever" filter..
Comment 8 Stefan Gohmann univentionstaff 2013-09-18 21:40:40 CEST
(In reply to Arvid Requate from comment #7)
> * What differentiates samba4-slave-4.1 from samba4-4.1, Can't we install
> univention-s4-connector on a slave?

I don't think we should install a service on a DC slave which is unable to run successfully on that host. What is the problem to have two apps?

Wait until Arvid is back.
Comment 9 Dirk Wiesenthal univentionstaff 2013-09-24 17:59:52 CEST
The samba packages in univention-installer/installer/package_list.py were simplified during this bug. This reverted changes from Bug#30982. I am not sure if this is important. I just thought I let you know...
Comment 10 Arvid Requate univentionstaff 2013-10-31 19:39:13 CET
* Installation and Deinstallation of Samba4 works on Master and Slave
* Installation and Deinstallation of Samba3 works on Master and Slave
* Changelog Ok.
Comment 11 Stefan Gohmann univentionstaff 2013-11-19 06:43:07 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".